reinstall swift node problem [closed]

asked 2013-09-30 10:17:38 -0500

vladber gravatar image

updated 2013-11-17 19:39:55 -0500

koolhead17 gravatar image

Hi,

I hadto reinstall the swift node .I'm working with Puppet .

After the OS had been reinstalled neither package were not be added .When i ran manually puppet agent -t I got this error:

root@swift01:~# puppet agent -t info: Retrieving plugin info: Loading facts in /var/lib/puppet/lib/facter/concat_basedir.rb info: Loading facts in /var/lib/puppet/lib/facter/ceph_osd_bootstrap_key.rb info: Loading facts in /var/lib/puppet/lib/facter/puppet_vardir.rb info: Loading facts in /var/lib/puppet/lib/facter/root_home.rb info: Loading facts in /var/lib/puppet/lib/facter/pe_version.rb err: Could not retrieve catalog from remote server: Error 400 on SERVER: Exporte d resource Swift::Ringsync[account] cannot override local resource on node swift01.example.com
warning: Not using cache on failed catalog err: Could not retrieve catalog; skipping run

How to fix this ?

edit retag flag offensive reopen merge delete

Closed for the following reason question is not relevant or outdated by koolhead17
close date 2013-11-19 20:32:19.181298

Comments

1

looks like this has nothing to do with Swift. It is more about your deployment method.

koolhead17 gravatar imagekoolhead17 ( 2013-10-08 00:37:29 -0500 )edit